Subject: Re: [MMUSIC] POF/PAN: SDP group attribute in a POF/PAN?
From: Christer Holmberg <[email-masked]>
To: Adam Roach <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Mon, 21 Oct 2013 20:00:48 +0000
List-Id: Multiparty Multimedia Session Control Working Group <mmusic.ietf.org>

Hi,

>> one also needs to specify the location of the m- line mid value in the
>> group:BUNDLE mid value list.
>
> I don't believe that's true.
>
> The only ordering consideration that I'm aware of for group:BUNDLE is
> that the first indicated mid is the one that the transport information
> is taken from.

If, for whatever reason, the Answerer does not/cannot choose the first in the list, it shall try the next in the list, etc.

But, that only becomes an issue when the BUNDLE address has yet not been negotiated - or when one tries to re-negotiate it (discussed below).

> By the time we're into partial exchanges, the transport
> information for all the lines in the same bundle should be identical.

...assuming we don't also want to re-negotiate the BUNDLE address with the POF, in which case the POF might contain that new address.

But, as we discussed earlier, and as you also indicated at the end of your e-mail, maybe using POF for transport re-negotiation is something we can disallow.

> To ensure a common view of groups, we probably want to define things
> such that new lines added to a group are appended to the list. Is there
> any reason you can think this doesn't work for BUNDLE?

I need to think about it, but nothing comes to my mind at the moment.

And, if both endpoints add a new m- line to the BUNDLE group at the same time, I guess the order in which they mids are appended to the list could be based on the order in which the m- lines themselves are added to the SDP state.

> To be clear, let's set aside the prospect of changing transport
> addresses for a BUNDLE: I don't think it's unreasonable to require a
> full offer/answer exchange to do that kind of thing.

I agree.

Regards,

Christer